org.apache.http

## Interface HttpEntityEnclosingRequest

- All Superinterfaces:
    HttpMessage, HttpRequest
  All Known Implementing Classes:
    BasicHttpEntityEnclosingRequest

      public interface HttpEntityEnclosingRequest
      extends HttpRequest

  A request with an entity.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expectContinue()` Tells if this request should use the expect-continue handshake.
    `HttpEntity` | `getEntity()` Returns the entity associated with this request.
    `void` | `setEntity(HttpEntity entity)` Associates the entity with this request.

    - ### Methods inherited from interface org.apache.http.HttpRequest

      `getRequestLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Method Detail

    - #### expectContinue

          boolean expectContinue()

      Tells if this request should use the expect-continue handshake. The expect continue handshake gives the server a chance to decide whether to accept the entity enclosing request before the possibly lengthy entity is sent across the wire.
      Returns:
        true if the expect continue handshake should be used, false if not.

    - #### setEntity

          void setEntity(HttpEntity entity)

      Associates the entity with this request.
      Parameters:
        `entity` - the entity to send.

    - #### getEntity

          HttpEntity getEntity()

      Returns the entity associated with this request.
      Returns:
        entity

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.